Package org.eclipse.lemminx.services.extensions

## Interface IXMLExtension

All Known Implementing Classes:
  `ContentModelPlugin`, `DTDPlugin`, `EntitiesPlugin`, `FileContentGeneratorPlugin`, `FilePathPlugin`, `MinifyPlugin`, `PrologPlugin`, `RelaxNGPlugin`, `XIncludePlugin`, `XMLCatalogPlugin`, `XMLColorsPlugin`, `XMLModelPlugin`, `XMLReferencesPlugin`, `XSDPlugin`, `XSISchemaPlugin`, `XSLPlugin`

    public interface IXMLExtension

XML extension.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `doSave​(ISaveContext context)` Called when the Settings or a Document have been saved.
`void` `start​(org.eclipse.lsp4j.InitializeParams params, XMLExtensionsRegistry registry)` Start method to register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.
`void` `stop​(XMLExtensionsRegistry registry)` Stop method to un-register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

### Method Detail

#### start

    void start​(org.eclipse.lsp4j.InitializeParams params,
               XMLExtensionsRegistry registry)

Start method to register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

Parameters:
  `params` -
  `registry` -
  `settings` -

#### stop

    void stop​(XMLExtensionsRegistry registry)

Stop method to un-register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

Parameters:
  `registry` -

#### doSave

    default void doSave​(ISaveContext context)

Called when the Settings or a Document have been saved. context.getType() can be used to determine what type was saved. doSave is called on extension start up with a settings context to provide the xml settings to the extension.

Parameters:
  `context` -